Get Block Transfers
curl --request GET \
--url https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/transfers \
--header 'apikey: <api-key>'import requests
url = "https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/transfers"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offset": 0,
"limit": 10,
"result": [
{
"block_number": 81901165,
"timestamp": 1768922302,
"datetime": "2026-01-20T15:18:22",
"transaction_hash": "0xffac055a26c586c5007fb6218dd74296468eacf7491b9ac8f5c83060c4cefe53",
"log_index": 1,
"from_address": "0xd3cec4a2bd3df22d0edb0c66d20ea0b45cfe3daf",
"to_address": "0x89f8efdb51399d0f77e21e99dcc5ee7eabfe0576",
"asset_class": "erc20",
"token_address": "0xa3fb72cbf2e07dc1b34aea569ed40755fd978bd8",
"symbol": "OPX",
"name": "Opex",
"source_value": 7000000000,
"version": 0,
"value": 7000,
"usd_value": null
},
{
"block_number": 81901165,
"timestamp": 1768922302,
"datetime": "2026-01-20T15:18:22",
"transaction_hash": "0xc8ffeea4d260efcc24a0b109fc60b6e33a32d40146f439dbf26fef0bd0c91c8e",
"log_index": 3,
"from_address": "0x6dd23e950878b1142772335cd122e92d47876c3e",
"to_address": "0x63633b353e2bc21642becb935a029cc199e68fb1",
"asset_class": "erc20",
"token_address": "0xa3fb72cbf2e07dc1b34aea569ed40755fd978bd8",
"symbol": "OPX",
"name": "Opex",
"source_value": 250000000,
"version": 0,
"value": 250,
"usd_value": null
}
],
"count": 2
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Transfers
Get Block Transfers
Get all token transfers in a block
GET
/
api
/
v1
/
customer
/
{chain}
/
blocks
/
transfers
Get Block Transfers
Authorizations
API key for authentication
Path Parameters
The blockchain network to query
Available options:
polygon Example:
"polygon"
Query Parameters
Block number to query (>= 0)
Required range:
x >= 0Example:
81901165
Maximum number of results (1-100)
Required range:
1 <= x <= 50Number of results to skip for pagination
Required range:
x >= 0⌘I